Subject: Re: [PATCH] cmd_reset: don't trash uncommitted changes unless told to

From: Matthias Kestenholz <[email-masked]>
Date: Wed, 25 Jun 2008 12:24:58 +0200

On Wed, 2008-06-25 at 11:16 +0100, Johannes Schindelin wrote:
> Incidentally, a friend just told me that "checkout" is everything but 
> intuitive, and he would have preferred "git branch switch <branch>", but 
> then settled for my proposed "git branch --switch <branch>", which I did 
> not have time to implement yet, unfortunately.

But why? I don't want to 'branch', I want to 'checkout' another branch,
which incidentally matches the git command I need to use to achieve
that.

Matthias